var _marked = /*#__PURE__*/regeneratorRuntime.mark(_getSceneState);

import { select, call } from "redux-saga/effects";
import getArenaReducerDictEntry from "./getArenaReducerDictEntry";

function _getSceneState(key) {
  var entry;
  return regeneratorRuntime.wrap(function _getSceneState$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return getArenaReducerDictEntry(key);

        case 2:
          entry = _context.sent;
          _context.next = 5;
          return select(function (state) {
            return state[entry.reducerKey];
          });

        case 5:
          return _context.abrupt("return", _context.sent);

        case 6:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}

export default function getSceneState() {
  var key = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "_arenaScene";

  return call(_getSceneState, key);
}