function buildReducerKey(arenaReducerDict, reducerKey, vReducerKey, actions, curReducerKey) {
  var _Object$assign;

  var item = { actions: actions, reducerKey: reducerKey, vReducerKey: vReducerKey };
  var newDict = Object.assign({}, arenaReducerDict, (_Object$assign = {}, _Object$assign[reducerKey] = item, _Object$assign));
  if (vReducerKey) {
    newDict[vReducerKey] = item;
  }
  newDict[curReducerKey] = item;
  return newDict;
}

export function buildCurtainReducerDict(arenaReducerDict, reducerKey, vReducerKey) {
  var newDict = buildReducerKey(arenaReducerDict, reducerKey, vReducerKey, {}, "_arenaCurtain");
  newDict._arenaScene = null;
  return newDict;
}

export function buildSceneReducerDict(arenaReducerDict, reducerKey, vReducerKey, actions) {
  return buildReducerKey(arenaReducerDict, reducerKey, vReducerKey, actions, "_arenaScene");
}