import { ARENA_SCENE_REPLACE_STATE, ARENA_GLOBAL_PROPSPICKER_LOCK } from "../core/actionTypes";

export function sceneReplaceReducer(store, reducerKey, reducerFactory, state) {
  store.dispatch({
    type: ARENA_GLOBAL_PROPSPICKER_LOCK,
    lock: true
  });
  var newReducerKey = store.replaceReducer({
    reducerKey: reducerKey,
    reducer: reducerFactory(reducerKey),
    state: state
  });
  if (state) store.dispatch({
    type: ARENA_SCENE_REPLACE_STATE,
    _sceneReducerKey: newReducerKey,
    state: state
  });
  store.dispatch({
    type: ARENA_PROPSPICKER_UNLOCK,
    lock: false
  });
  return reducerKey;
}