"use strict";

exports.__esModule = true;
exports.default = root;

var _effects = require("redux-saga/effects");

var _arenaCurtainSaga = require("./arenaCurtainSaga");

var _arenaCurtainSaga2 = _interopRequireDefault(_arenaCurtainSaga);

var _audienceSaga = require("./audienceSaga");

var _audienceSaga2 = _interopRequireDefault(_audienceSaga);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _marked = /*#__PURE__*/regeneratorRuntime.mark(root); /* eslint-disable no-constant-condition */


/**
 * This is a function that starts saga
 * 
 * @export
 * @param {any} ctx 
 */
function root(ctx) {
  return regeneratorRuntime.wrap(function root$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return (0, _effects.setContext)(ctx);

        case 2:
          _context.next = 4;
          return (0, _effects.all)([(0, _effects.fork)(_audienceSaga2.default), (0, _effects.fork)(_arenaCurtainSaga2.default)]);

        case 4:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}