"use strict";

exports.__esModule = true;
exports.default = takeEverySceneAction;

var _effects = require("redux-saga/effects");

var _getArenaReducerDictEntry = require("./getArenaReducerDictEntry");

var _getArenaReducerDictEntry2 = _interopRequireDefault(_getArenaReducerDictEntry);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _marked = /*#__PURE__*/regeneratorRuntime.mark(_takeEverySceneAction);

function _takeEverySceneAction(pattern, saga, key, args) {
  var action, entry;
  return regeneratorRuntime.wrap(function _takeEverySceneAction$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          if (!true) {
            _context.next = 12;
            break;
          }

          _context.next = 3;
          return (0, _effects.take)(pattern);

        case 3:
          action = _context.sent;
          _context.next = 6;
          return (0, _getArenaReducerDictEntry2.default)(key);

        case 6:
          entry = _context.sent;

          if (!(action._sceneReducerKey === entry.reducerKey)) {
            _context.next = 10;
            break;
          }

          _context.next = 10;
          return _effects.fork.apply(undefined, [saga].concat(args, [action]));

        case 10:
          _context.next = 0;
          break;

        case 12:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}

function takeEverySceneAction(pattern, saga) {
  var key = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "_arenaScene";

  for (var _len = arguments.length, args = Array(_len > 3 ? _len - 3 : 0), _key = 3; _key < _len; _key++) {
    args[_key - 3] = arguments[_key];
  }

  return (0, _effects.fork)(_takeEverySceneAction, pattern, saga, key, args);
}