"use strict";

exports.__esModule = true;
exports.default = takeLatestSceneAction;

var _effects = require("redux-saga/effects");

var _getArenaReducerDictEntry = require("./getArenaReducerDictEntry");

var _getArenaReducerDictEntry2 = _interopRequireDefault(_getArenaReducerDictEntry);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _marked = /*#__PURE__*/regeneratorRuntime.mark(_takeLatestSceneAction);

function _takeLatestSceneAction(pattern, saga, key, args) {
  var lastTask, action, entry;
  return regeneratorRuntime.wrap(function _takeLatestSceneAction$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          lastTask = void 0;

        case 1:
          if (!true) {
            _context.next = 17;
            break;
          }

          _context.next = 4;
          return (0, _effects.take)(pattern);

        case 4:
          action = _context.sent;
          _context.next = 7;
          return (0, _getArenaReducerDictEntry2.default)(key);

        case 7:
          entry = _context.sent;

          if (!(action._sceneReducerKey === entry.reducerKey)) {
            _context.next = 15;
            break;
          }

          if (!lastTask) {
            _context.next = 12;
            break;
          }

          _context.next = 12;
          return (0, _effects.cancel)(lastTask);

        case 12:
          _context.next = 14;
          return _effects.fork.apply(undefined, [saga].concat(args, [action]));

        case 14:
          lastTask = _context.sent;

        case 15:
          _context.next = 1;
          break;

        case 17:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}

function takeLatestSceneAction(pattern, saga) {
  var key = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "_arenaScene";

  for (var _len = arguments.length, args = Array(_len > 3 ? _len - 3 : 0), _key = 3; _key < _len; _key++) {
    args[_key - 3] = arguments[_key];
  }

  return (0, _effects.fork)(_takeLatestSceneAction, pattern, saga, key, args);
}