var _marked = /*#__PURE__*/regeneratorRuntime.mark(_takeLatestSceneAction);

import { fork, take, cancel } from "redux-saga/effects";
import getArenaReducerDictEntry from "./getArenaReducerDictEntry";

function _takeLatestSceneAction(pattern, saga, key, args) {
  var lastTask, action, entry;
  return regeneratorRuntime.wrap(function _takeLatestSceneAction$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          lastTask = void 0;

        case 1:
          if (!true) {
            _context.next = 17;
            break;
          }

          _context.next = 4;
          return take(pattern);

        case 4:
          action = _context.sent;
          _context.next = 7;
          return getArenaReducerDictEntry(key);

        case 7:
          entry = _context.sent;

          if (!(action._sceneReducerKey === entry.reducerKey)) {
            _context.next = 15;
            break;
          }

          if (!lastTask) {
            _context.next = 12;
            break;
          }

          _context.next = 12;
          return cancel(lastTask);

        case 12:
          _context.next = 14;
          return fork.apply(undefined, [saga].concat(args, [action]));

        case 14:
          lastTask = _context.sent;

        case 15:
          _context.next = 1;
          break;

        case 17:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}

export default function takeLatestSceneAction(pattern, saga) {
  var key = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "_arenaScene";

  for (var _len = arguments.length, args = Array(_len > 3 ? _len - 3 : 0), _key = 3; _key < _len; _key++) {
    args[_key - 3] = arguments[_key];
  }

  return fork(_takeLatestSceneAction, pattern, saga, key, args);
}