function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from "react";
import PropTypes from "prop-types";

var ReducerDictOverrider = function (_Component) {
  _inherits(ReducerDictOverrider, _Component);

  function ReducerDictOverrider() {
    _classCallCheck(this, ReducerDictOverrider);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  ReducerDictOverrider.prototype.getChildContext = function getChildContext() {
    return {
      arenaReducerDict: this.props.reducerDict
    };
  };

  ReducerDictOverrider.prototype.render = function render() {
    return this.props.children;
  };

  return ReducerDictOverrider;
}(Component);

ReducerDictOverrider.propTypes = {
  reducerDict: PropTypes.object,
  children: PropTypes.element
};
ReducerDictOverrider.childContextTypes = {
  arenaReducerDict: PropTypes.object
};
export default ReducerDictOverrider;