"use strict";

exports.__esModule = true;
exports.default = setSceneState;

var _effects = require("redux-saga/effects");

var _getArenaReducerDictEntry = require("./getArenaReducerDictEntry");

var _getArenaReducerDictEntry2 = _interopRequireDefault(_getArenaReducerDictEntry);

var _actionTypes = require("../core/actionTypes");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _marked = /*#__PURE__*/regeneratorRuntime.mark(_setSceneState);

function _setSceneState(state, key) {
  var entry;
  return regeneratorRuntime.wrap(function _setSceneState$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return (0, _getArenaReducerDictEntry2.default)(key);

        case 2:
          entry = _context.sent;
          _context.next = 5;
          return (0, _effects.put)({
            type: _actionTypes.ARENA_SCENE_SET_STATE,
            _sceneReducerKey: entry.reducerKey,
            state: state
          });

        case 5:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}

function setSceneState(state) {
  var key = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "_arenaScene";

  return (0, _effects.call)(_setSceneState, state, key);
}