"use strict";

exports.__esModule = true;
exports.setState = setState;
exports.nextPhase = nextPhase;
exports.startLeaving = startLeaving;
exports.loadSceneBundle = loadSceneBundle;

var _actionTypes = require("../../actionTypes");

var _actionTypes2 = require("./actionTypes");

function setState(state) {
  return {
    type: _actionTypes.ARENA_SCENE_SET_STATE,
    state: state
  };
}

function nextPhase(phase) {
  return {
    type: _actionTypes2.ARENA_SCENE_ANIMATION_NEXTPHRASE,
    phase: phase
  };
}

function startLeaving() {
  return {
    type: _actionTypes2.ARENA_SCENE_ANIMATION_LEAVING_START
  };
}

function loadSceneBundle(asyncBundleThunk) {
  return {
    type: _actionTypes2.ARENA_SCENE_ANIMATION_LOAD_BUNDLE,
    asyncBundleThunk: asyncBundleThunk
  };
}